package com.docus.server.controller;

import com.docus.infrastructure.web.request.SearchRequest;
import com.docus.infrastructure.web.response.PageResult;
import com.docus.server.api.scheduling.management.SchCollectorConfigApi;
import com.docus.server.dto.scheduling.management.SchCollectorConfigDTO;
import com.docus.server.service.ISchCollectorConfigService;
import com.docus.server.vo.scheduling.management.SchCollectorConfigVO;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * 采集器配置 控制器类
 *
 * @author AutoGenerator
 * @since 2023-07-14
 */
@RestController
public class SchCollectorConfigController implements SchCollectorConfigApi {
    @Resource
    private ISchCollectorConfigService iSchCollectorConfigService;

    /**
     * 按主键查询
     *
     * @param id 主键Id
     * @return 实体
     */
    @Override
    public SchCollectorConfigVO findById(String id) {
        return iSchCollectorConfigService.findById(id);
    }

    /**
     * 关键字搜素
     *
     * @param searchRequest 搜索参数
     * @return 分页列表
     */
    @Override
    public PageResult<SchCollectorConfigVO> search(SearchRequest searchRequest) {
        return iSchCollectorConfigService.search(searchRequest);
    }

    /**
     * 新增
     *
     * @param schCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean add(SchCollectorConfigDTO schCollectorConfigDTO) {
        return iSchCollectorConfigService.add(schCollectorConfigDTO);
    }

    /**
     * 编辑
     *
     * @param schCollectorConfigDTO 编辑参数
     * @return 成功或失败
     */
    @Override
    public boolean edit(SchCollectorConfigDTO schCollectorConfigDTO) {
        return iSchCollectorConfigService.edit(schCollectorConfigDTO);
    }

    /**
     * 批量删除
     *
     * @param ids 主键ids
     * @return 成功或失败
     */
    @Override
    public int delete(List<String> ids) {
        return iSchCollectorConfigService.delete(ids);
    }
}
